<?xml version="1.0"?>

<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>

<!-- set the output properties -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xml:space="preserve">

<!-- set the output properties -->
<xsl:output method="html" encoding="UTF-8"/>

<!-- need ot be loaded before other js files -->
<xsl:template name="javascript_vars">
<script>

<!-- these hold global context -->
var gID='<xsl:value-of select="/calendar/GlobalInfo/@gID"/>';
var gCRC='<xsl:value-of select="/calendar/GlobalInfo/@gCRC"/>';
var gCurView='<xsl:value-of select="/calendar/GlobalInfo/@gCurView"/>';
var gOldView='<xsl:value-of select="/calendar/GlobalInfo/@gOldView"/>';
var gDate='<xsl:value-of select="/calendar/GlobalInfo/@gDate"/>';
var gCommandBaseURL = '<xsl:value-of select="/calendar/@proxyURL"/>' + '<xsl:value-of select="/calendar/@commandBaseURL"/>';

</script>
<!-- now load the strings -->
<xsl:call-template name="javascript_strings"/>
</xsl:template>

<xsl:template name="javascript_strings">
<script>
<!-- these are global translated strings -->
<!-- still to fix? -->

var alert_blank='Ha seleccionado una opción vacía';
var alert_min_year='No es posible ver años anteriores a 1970.';
var alert_max_year='No es posible ver años posteriores a 2036.';
var confirm_event_delete='¿Desea eliminar este evento?';
var confirm_task_delete='¿Desea eliminar esta tarea?';
var alert_invalid_date='La fecha no es válida. Corríjala.';
var jan='Enero';
var feb='Febrero';
var mar='Marzo';
var apr='Abril';
var may='Mayo';
var jun='Junio';
var jul='Julio';
var aug='Agosto';
var sep='Septiembre';
var oct='Octubre ';
var nov='Noviembre';
var dec='Diciembre';
var invalid_recurrence_pattern_msg='Modelo de repetición no válido: seleccione el día en el que se va a repetir';

var dateCheckErrorMsg = new Array();
    dateCheckErrorMsg['invalid day'] = 'Especifique una fecha válida.'; 
    dateCheckErrorMsg['provide a good day'] = 'Especifique una fecha válida para '; 
    dateCheckErrorMsg['provide good month'] = 'Especifique un mes entre el 1 y el 12..'; 
    dateCheckErrorMsg['provide good year'] = 'Especifique un año válido.\n\nSi usa dos dígitos para representar el año, los valores inferiores a 37\nse considerarán como pertenecientes al siglo XXI.\n\nPor ejemplo, 03 equivale a 2003.';
    dateCheckErrorMsg['provide good min year'] = 'Especifique un año posterior a 1970..';
    dateCheckErrorMsg['provide good max year'] = 'Especifique un año anterior a 2037..';
    dateCheckErrorMsg['provide good hour'] = 'Especifique un valor horario válido. (1-12) en formato de 12 horas o (0-23) para el formato de 24 horas';
    dateCheckErrorMsg['provide good duration hour'] = 'Especifique un valor que sea válido para las horas (0-23)..';
    dateCheckErrorMsg['provide good minute'] = 'Especifique un valor que sea válido para los minutos (0-59).';
    dateCheckErrorMsg['good until day'] = 'Seleccione una fecha de finalización después de la fecha de inicio';
    dateCheckErrorMsg['adjusting to a good day'] = 'La fecha especificada no existe.\nSe usará la fecha válida mas próxima en el calendario.';
    delete_text='¿Desea proceder con la eliminación?';
</script>
</xsl:template>

<!-- <xsl:template name="javascript_accept_users"> -->
<!-- Now in js_accept_invite.js -->

<!-- <xsl:template name="javascript"> -->
<!-- now in javascript.js -->

<!-- <xsl:template name="javascriptNormalize"> -->
<!-- now in js_normalize.js -->

<!-- <xsl:template name="javascriptEncodeCalAddr"> -->
<!-- now in js_encode_cal_addr.js -->

<!-- <xsl:template name="contextJavascript"> -->
<!-- now in  js_context.js -->

<!-- <xsl:template name="jump_to_javascript"> -->
<!-- now in js_jump_to.js -->

<!-- <xsl:template name="dateChecking"> -->
<!-- now in js_date_checking.js -->
</xsl:stylesheet>
