<?xml version="1.0"?>

<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>

<!-- set the output properties -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xml:space="preserve">

<!-- set the output properties -->
<xsl:output method="html" encoding="UTF-8"/>

<!-- need ot be loaded before other js files -->
<xsl:template name="javascript_vars">
<script>

<!-- these hold global context -->
var gID='<xsl:value-of select="/calendar/GlobalInfo/@gID"/>';
var gCRC='<xsl:value-of select="/calendar/GlobalInfo/@gCRC"/>';
var gCurView='<xsl:value-of select="/calendar/GlobalInfo/@gCurView"/>';
var gOldView='<xsl:value-of select="/calendar/GlobalInfo/@gOldView"/>';
var gDate='<xsl:value-of select="/calendar/GlobalInfo/@gDate"/>';
var gCommandBaseURL = '<xsl:value-of select="/calendar/@proxyURL"/>' + '<xsl:value-of select="/calendar/@commandBaseURL"/>';

</script>
<!-- now load the strings -->
<xsl:call-template name="javascript_strings"/>
</xsl:template>

<xsl:template name="javascript_strings">
<script>
<!-- these are global translated strings -->
<!-- still to fix? -->

var alert_blank='선택 항목에서 빈 문자열을 선택했습니다.';
var alert_min_year='1970년 이전의 연도는 볼 수 없습니다.';
var alert_max_year='2036년 이후의 연도는 볼 수 없습니다.';
var confirm_event_delete='이 이벤트를 삭제하겠습니까?';
var confirm_task_delete='이 태스크를 삭제하겠습니까?';
var alert_invalid_date='잘못된 날짜입니다. 올바른 날짜를 입력하십시오.';
var jan='1월';
var feb='2월';
var mar='3월';
var apr='4월';
var may='5월';
var jun='6월';
var jul='7월';
var aug='8월';
var sep='9월';
var oct='10월 ';
var nov='11월';
var dec='12월';
var invalid_recurrence_pattern_msg='유효하지 않은 반복 패턴: 반복할 날짜 선택';

var dateCheckErrorMsg = new Array();
    dateCheckErrorMsg['invalid day'] = '올바른 날짜를 입력하십시오..'; 
    dateCheckErrorMsg['provide a good day'] = '올바른 날짜를 입력하십시오. '; 
    dateCheckErrorMsg['provide good month'] = '1-12월 중 하나를 입력하십시오..'; 
    dateCheckErrorMsg['provide good year'] = '올바른 연도를 입력하십시오.\n\n두 자릿수를 사용하여 연도를 표현하는 경우 37보다 작은 값은\n21세기로 해석됩니다.\n\n예를 들어, 03은 2003과 같습니다.';
    dateCheckErrorMsg['provide good min year'] = '1970년 이후 연도를 입력하십시오..';
    dateCheckErrorMsg['provide good max year'] = '2037년 이전 연도를 입력하십시오..';
    dateCheckErrorMsg['provide good hour'] = '유효한 시간 값을 입력하십시오. 12시간 모드에서는 (1-12)이 유효한 값이고 24시간 모드에서는 (0-23)이 유효한 값입니다.';
    dateCheckErrorMsg['provide good duration hour'] = '유효한 시간 값(0-23)을 입력하십시오..';
    dateCheckErrorMsg['provide good minute'] = '분 값(0-59)을 입력하십시오.';
    dateCheckErrorMsg['good until day'] = '시작 날짜 이후의 날짜를 선택하십시오.';
    dateCheckErrorMsg['adjusting to a good day'] = '입력한 날짜가 존재하지 않습니다.\n유효한 날짜 중 가장 가까운 날짜로 달력을 설정하고 있습니다.';
    delete_text='삭제하겠습니까?';
</script>
</xsl:template>

<!-- <xsl:template name="javascript_accept_users"> -->
<!-- Now in js_accept_invite.js -->

<!-- <xsl:template name="javascript"> -->
<!-- now in javascript.js -->

<!-- <xsl:template name="javascriptNormalize"> -->
<!-- now in js_normalize.js -->

<!-- <xsl:template name="javascriptEncodeCalAddr"> -->
<!-- now in js_encode_cal_addr.js -->

<!-- <xsl:template name="contextJavascript"> -->
<!-- now in  js_context.js -->

<!-- <xsl:template name="jump_to_javascript"> -->
<!-- now in js_jump_to.js -->

<!-- <xsl:template name="dateChecking"> -->
<!-- now in js_date_checking.js -->
</xsl:stylesheet>
